#ifndef MEVTLOOP_H
#define MEVTLOOP_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MParList;

class MEvtLoop
{
private:
    MParList  *fParlist;

public:
    MEvtLoop();
    virtual ~MEvtLoop();

    void SetParList(MParList *p);

    void Eventloop(Int_t maxcnt=-1, const char *tlist="MTaskList");

    ClassDef(MEvtLoop, 1)
};

#endif
